package lc.mecha.sort;

import java.util.Locale;

public enum SortCardinality {
    ASCENDING, DESCENDING;

    public static SortCardinality fromString(String v) {
        switch (v.toUpperCase(Locale.ROOT)) {
            case "ASC":
                return ASCENDING;
            case "DESC":
                return DESCENDING;
        }
        return null;
    }
}
